
QGIS Application - Feature request #3834

Add a button to separate the selected parts of a multipart feature while editing

2011-05-20 04:30 AM - elcuco -

Status: Open

Priority: Low

Assignee:

Category: Digitising

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13892

Description

When editing a feature (point, line or polygon), is often necessary to use the "Merge selected features". And if we merge nonadjacent

features (lines or polygons) we create a multipart feature. But what if we want to do the opposite, ie separate a multipart feature into its

individual, component features. This would be useful if we needed to alter the attributes of one of the elements in a multipart feature.

I realize that menu Vector has a tool for it but it creates a new shapefile every time we use it, thus sometimes isn't very practical.

So, add a button in the Digitizing toolbar, next to the "Merge selected features" button to separate the selected parts of a multipart

feature.

Related issues:

Related to QGIS Application - Feature request # 3278: Explode selected features Open

History

#1 - 2011-08-29 10:47 PM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Category changed from Build/Install to Digitising

- Assignee deleted (nobody -)

#2 - 2011-12-16 12:44 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-05-21 11:54 PM - Volker Fröhlich

Related to #3278

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
